Retrieve Single Source Code File
Retrieve a single source code file from the currently authenticated Vault.
GET
/api/{version}/code/{class_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) |
URI Path Parameters
Section link for URI Path ParametersRequest
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://veepharm.veevavault.com/api/v21.1/code/com.veeva.vault.custom.actions.FindPartnersResponse
Section link for Responsepackage com.veeva.vault.custom.actions;
import com.veeva.vault.sdk.api.core.*;
import com.veeva.vault.sdk.api.action.RecordAction;
import com.veeva.vault.sdk.api.action.RecordActionContext;
import com.veeva.vault.sdk.api.action.RecordActionInfo;
import com.veeva.vault.sdk.api.data.Record;
import com.veeva.vault.sdk.api.data.RecordService;
import java.util.List;
@RecordActionInfo(name="get_partners__c", label="Find Partners", object="company__c")
public class FindPartners implements RecordAction {
//[...]
}
}